#-*- mode: shell-script;-*-

[ ! -x /usr/share/twinstar/twinstar_config ] && return 0
_twinstar_config()
{
	local cur prev
	
	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	prev=${COMP_WORDS[COMP_CWORD-1]}
	case "$prev" in
	*twinstar_config)
		COMPREPLY=( $(compgen -W 'keys drbd-prep system-prep reconfigure' -- "$cur") )
		;;
	keys|drbd-prep|system-prep)
		COMPREPLY=()
		;;
	reconfigure)
		COMPREPLY=( $(compgen -W '-i -a' -- "$cur") )
		;;
	esac
}
complete -F _twinstar_config twinstar_config

_twinstar_ctl()
{
	local cur prev

	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	prev=${COMP_WORDS[COMP_CWORD-1]}
	case "$prev" in
	*twinstar-ctl)
		COMPREPLY=( $(compgen -W 'introspect status take-over give-back freeze unfreeze send-msg' -- "$cur") )
		;;
	esac
}
complete -F _twinstar_ctl twinstar-ctl
