# Please read the corosync.conf.5 manual page
compatibility: none

totem {
	version: 2
	secauth: on
	threads: 0
	interface {
		ringnumber: @COROSYNC_RINGNUMBER@
		bindnetaddr: @COROSYNC_BINDNETADDR@
		mcastaddr: @COROSYNC_MCASTADDR@
		mcastport: @COROSYNC_MCASTPORT@
		ttl: 1
	}
	nodeid: @NODEID@
}

quorum {
	provider: corosync_votequorum
	expected_votes: 1
	two_nodes: 1
	wait_for_all: 0
	allow_downscale: 1
}

logging {
	fileline: off
	to_stderr: no
	to_logfile: yes
	to_syslog: no
	logfile: /var/log/cluster/corosync.log
	debug: on
	timestamp: on
	logger_subsys {
		subsys: AMF
		debug: off
	}
}

amf {
	mode: disabled
}
